
#include <stdio.h>
#include <stdlib.h>
#include <math.h>

typedef double FLNUM;

FLNUM funcion1(FLNUM x) {
    FLNUM  res, term1 = sqrt(x+1.0),  term2=sqrt(x);

    res = x*(term1 - term2);
    return(res);
}


FLNUM funcion2(FLNUM x) {
    FLNUM  res, term1 = sqrt(x+1.0),  term2=sqrt(x);

    res = x/(term1 + term2);
    return(res);
}

FLNUM funcion3(FLNUM x) {
    FLNUM  res, term1 = sqrt(x);

    res = 0.5*term1;
    return(res);
}



int main(int argc, char **argv)     {
    FLNUM  lim1, lim2;

    if(argc>0)  lim1 = atof(argv[1]);
    else        lim1 = 0.1;

    if(argc>1)  lim2 = atof(argv[2]);
    else        lim2 = 10e18;

    for(FLNUM x=lim1; x<=lim2; x *= 10) {
        printf("%3.1e & %11.9e & %11.9e & %11.9e \\\\\n", x, funcion1(x), funcion2(x), funcion3(x));
    }

    return(0);
}



